#ifndef REFDISHESFORM_H
#define REFDISHESFORM_H

#include <QDialog>
#include <QTableWidgetItem>
#include "Model/orderObject.h"

namespace Ui {
class refDishesForm;
}

class refDishesForm : public QDialog
{
    Q_OBJECT

public:
    explicit refDishesForm(QWidget *parent = 0);
    ~refDishesForm();

    void InitData(OrderObject* obj);

    QMap<QString, int> m_dishesMap;

private slots:
    void _Init();
    void on_refDishesBtnOk_clicked();

    void on_refDishesBtnCancle_clicked();

    void onDishesBtnToggled(bool checked);

private:
    Ui::refDishesForm *ui;

    QList<QPushButton*> m_btnList;

    QList<QTableWidgetItem*> m_twiList;

signals:
    void updDishes(QString , QMap<QString, int> dishes);
};

#endif // REFDISHESFORM_H
